#!/bin/sh
declare -a folders=(fitResults fitResults/angReso fitResults/angular fitResults/bkgFit fitResults/GenLvlFit fitResults/MainFit fitResults/MassFit fitResults/MCfit fitResults/Scans fitResults/ToysFit LaTeXfiles plots plots/angReso plots/angular plots/bkgFit plots/GenLvlFit plots/MainFit plots/MassFit plots/MCfit plots/MCfit/Signal plots/Scans plots/Toys log Toys)


#generate all folders in the array if they are not existing:
for folder in "${folders[@]}"; do
  if [ -d $folder ]; then
    echo "Folder '$folder' is already existing"
  else
    echo "Creating new folder: '$folder'"
    mkdir $folder
  fi
done


